<?
//Класс для ф-кции языкового пакета 
class language {
    public static function text($text=NULL, $lang='ru', $ln_file='language_file')
    {
        if (is_file(CORE.'languages/'.$lang.'/'.$ln_file.'.lng'))
        {
            $langue=parse_ini_file(CORE.'languages/'.$lang.'/'.$ln_file.'.lng');
            if (isset($langue[$text]))
            {
                return $langue[$text];
            } else {
                return 'Перевод отсутствует!';
            }
        } else {
            return 'Language file is missing';
        }
    }
}
?>